Convert Solid to Shape.

Dear All,

             I am working with Microstation V8i ss3 with C#.Net. I am trying to do the conversion of solid to shape for that i used the below code 

BCOM.Application app = BMI.Utilities.ComApp;
BCOM.ElementEnumerator elemenum = app.ActiveModelReference.GetSelectedElements();

while (elemenum.MoveNext())
{
    BCOM.ElementEnumerator eleEnum = app.ActiveModelReference.GetSelectedElements();
    while(eleEnum.MoveNext())
    {
        BCOM.Element ele = eleEnum.Current;
        BCOM.ElementEnumerator solidEnum = app.SmartSolid.ConvertToSmartSolidElement(ele);
        while(solidEnum.MoveNext())
        {
            BCOM.SmartSolidElement solidele = solidEnum.Current as BCOM.SmartSolidElement;
            BCOM.ElementEnumerator subenum = solidele.GetSubElements();
            while(subenum.MoveNext())
            {
                BCOM.Element subele = subenum.Current;
                app.ActiveModelReference.AddElement(subele);
            }
        }
    }
}

when i am using this code i am getting all elements are line element but i need complex shape / shape element. (like output of drop Element: solids To Surfaces).

any one give me the idea to do this.

Thanks and Regards,

Karthik Mahalingam

Parents Reply Children
No Data